<!--

Copyright 2021 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

 -->

<div class="col-md-8 py-5 px-3 mx-auto">
    <header class="pb-3 mb-5 border-bottom">
    <h1>Bare Metal Hosts </h1>
    </header>
    <table class="table table-hover">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Namespace</th>
            <th scope="col">Name</th>
            <th scope="col">BMC address</th>
            <th scope="col">Boot MAC</th>
            <th scope="col">Online</th>
            <th scope="col">Error count</th>
            <th scope="col">Error</th>
        </tr>
        </thead>
        <tbody>
        {{#each bmhs}}
        <tr>
            <td>{{metadata.namespace}}</a></td>
            <td><a href="bmhs/{{metadata.namespace}}/{{metadata.name}}">{{metadata.name}}</a></td>
            <td>{{spec.bmc.address}}</td>
            <td>{{spec.bootMACAddress}}</td>
            <td>
              {{#if spec.online}}<span class="badge bg-success">Online</span>
              {{else}}<span class="badge bg-danger">Off</span> {{/if}}
            </td>
            <td>{{status.errorCount}}</td>
            <td>{{status.errorMessage}}</td>
        </tr>
        {{/each}}
        </tbody>
    </table>
</div>
